Method: projects.locations.connections.gitRepositoryLinks.modifyPullRequest

修改與 GitRepositoryLink 相關聯的遠端 SCM 存放區中的提取要求。

HTTP 要求

POST https://developerconnect.googleapis.com/v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:modifyPullRequest

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
name

string

這是必要旗標,GitRepositoryLink 資源名稱,格式為 projects/*/locations/*/connections/*/gitRepositoryLinks/*。

要求主體

要求主體包含下列結構的資料:

JSON 表示法
{
  "pullRequestId": string,
  "title": string,
  "body": string,
  "baseRef": string,
  "state": enum (State)
}
欄位
pullRequestId

string

這是必要旗標,SCM 專屬提取要求 ID (例如「45」)。

title

string

選用。提取要求的標題。

body

string

選用。提取要求的主體說明。

baseRef

string

選用。要合併的目標分支版本。

state

enum (State)

選用。提取要求的狀態。

回應主體

如果成功,回應主體會包含 PullRequest 的執行個體。

授權範圍

需要下列 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform

詳情請參閱Authentication Overview。

IAM 權限

需要 name 資源的下列 IAM 權限:

  • developerconnect.gitRepositoryLinks.modifyPullRequest

詳情請參閱 IAM 說明文件。

狀態

State 代表提取要求的狀態。

列舉
STATE_UNSPECIFIED 預設值。這個值不會用到。
OPEN 提取要求已開啟。
CLOSED 提取要求已關閉。